#!/bin/bash
+check_mp3_programs()
+{
+ command -v flac > /dev/null \
+ || errlog "command flac not found" \
+ || return $?
+ command -v lame > /dev/null \
+ || errlog "command lame not found" \
+ || return $?
+ command -v eyeD3 > /dev/null \
+ || errlog "command eyeD3 not found" \
+ || return $?
+ command -v parallel > /dev/null \
+ || errlog "command parallel not found" \
+ || return $?
+}
+
read_flac_to_mp3_tags()
{
local inputfile="$1"
flac_to_mp3 {}
}
-check_mp3_programs()
-{
- command -v flac > /dev/null \
- || errlog "command flac not found" \
- || return $?
- command -v lame > /dev/null \
- || errlog "command lame not found" \
- || return $?
- command -v eyeD3 > /dev/null \
- || errlog "command eyeD3 not found" \
- || return $?
- command -v parallel > /dev/null \
- || errlog "command parallel not found" \
- || return $?
-}
-
execute()
{
local workdir="$1"
-
convert_flac_to_mp3 "$workdir" || return $?
}